| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
CompleteTypeDetail Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure CompleteTypeDetail defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | CompleteTypeDetail ()
| Default constructor.
eProsima_user_DllExport | ~CompleteTypeDetail ()
| Default destructor.
eProsima_user_DllExport | CompleteTypeDetail (const CompleteTypeDetail &x)
| Copy constructor.
eProsima_user_DllExport | CompleteTypeDetail (CompleteTypeDetail &&x) noexcept
| Move constructor.
eProsima_user_DllExport CompleteTypeDetail & | operator= (const CompleteTypeDetail &x)
| Copy assignment.
eProsima_user_DllExport CompleteTypeDetail & | operator= (CompleteTypeDetail &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const CompleteTypeDetail &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const CompleteTypeDetail &x) const
| Comparison operator.
eProsima_user_DllExport void | ann_builtin (const eprosima::fastcdr::optional< AppliedBuiltinTypeAnnotations > &_ann_builtin)
| This function copies the value in member ann_builtin.
eProsima_user_DllExport void | ann_builtin (eprosima::fastcdr::optional< AppliedBuiltinTypeAnnotations > &&_ann_builtin)
| This function moves the value in member ann_builtin.
eProsima_user_DllExport const eprosima::fastcdr::optional< AppliedBuiltinTypeAnnotations > & | ann_builtin () const
| This function returns a constant reference to member ann_builtin.
eProsima_user_DllExport eprosima::fastcdr::optional< AppliedBuiltinTypeAnnotations > & | ann_builtin ()
| This function returns a reference to member ann_builtin.
eProsima_user_DllExport void | ann_custom (const eprosima::fastcdr::optional< AppliedAnnotationSeq > &_ann_custom)
| This function copies the value in member ann_custom.
eProsima_user_DllExport void | ann_custom (eprosima::fastcdr::optional< AppliedAnnotationSeq > &&_ann_custom)
| This function moves the value in member ann_custom.
eProsima_user_DllExport const eprosima::fastcdr::optional< AppliedAnnotationSeq > & | ann_custom () const
| This function returns a constant reference to member ann_custom.
eProsima_user_DllExport eprosima::fastcdr::optional< AppliedAnnotationSeq > & | ann_custom ()
| This function returns a reference to member ann_custom.
eProsima_user_DllExport void | type_name (const QualifiedTypeName &_type_name)
| This function copies the value in member type_name.
eProsima_user_DllExport void | type_name (QualifiedTypeName &&_type_name)
| This function moves the value in member type_name.
eProsima_user_DllExport const QualifiedTypeName & | type_name () const
| This function returns a constant reference to member type_name.
eProsima_user_DllExport QualifiedTypeName & | type_name ()
| This function returns a reference to member type_name.

## Detailed Description

This class represents the structure CompleteTypeDetail defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ CompleteTypeDetail() [1/3]

eProsima_user_DllExport CompleteTypeDetail | ( |  | ) |

inline

Default constructor.

## ◆ ~CompleteTypeDetail()

eProsima_user_DllExport ~CompleteTypeDetail | ( |  | ) |

inline

Default destructor.

## ◆ CompleteTypeDetail() [2/3]

eProsima_user_DllExport CompleteTypeDetail | ( | const CompleteTypeDetail & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object CompleteTypeDetail that will be copied.

## ◆ CompleteTypeDetail() [3/3]

eProsima_user_DllExport CompleteTypeDetail | ( | CompleteTypeDetail && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object CompleteTypeDetail that will be copied.

## Member Function Documentation

## ◆ ann_builtin() [1/4]

eProsima_user_DllExport eprosima::fastcdr::optional< AppliedBuiltinTypeAnnotations > & ann_builtin | ( |  | ) |

inline

This function returns a reference to member ann_builtin.

Returns
  Reference to member ann_builtin

## ◆ ann_builtin() [2/4]

eProsima_user_DllExport const eprosima::fastcdr::optional< AppliedBuiltinTypeAnnotations > & ann_builtin | ( |  | ) | const

inline

This function returns a constant reference to member ann_builtin.

Returns
  Constant reference to member ann_builtin

## ◆ ann_builtin() [3/4]

eProsima_user_DllExport void ann_builtin | ( | const eprosima::fastcdr::optional< AppliedBuiltinTypeAnnotations > & | _ann_builtin | ) |

inline

This function copies the value in member ann_builtin.

Parameters

  _ann_builtin | New value to be copied in member ann_builtin

## ◆ ann_builtin() [4/4]

eProsima_user_DllExport void ann_builtin | ( | eprosima::fastcdr::optional< AppliedBuiltinTypeAnnotations > && | _ann_builtin | ) |

inline

This function moves the value in member ann_builtin.

Parameters

  _ann_builtin | New value to be moved in member ann_builtin

## ◆ ann_custom() [1/4]

eProsima_user_DllExport eprosima::fastcdr::optional< AppliedAnnotationSeq > & ann_custom | ( |  | ) |

inline

This function returns a reference to member ann_custom.

Returns
  Reference to member ann_custom

## ◆ ann_custom() [2/4]

eProsima_user_DllExport const eprosima::fastcdr::optional< AppliedAnnotationSeq > & ann_custom | ( |  | ) | const

inline

This function returns a constant reference to member ann_custom.

Returns
  Constant reference to member ann_custom

## ◆ ann_custom() [3/4]

eProsima_user_DllExport void ann_custom | ( | const eprosima::fastcdr::optional< AppliedAnnotationSeq > & | _ann_custom | ) |

inline

This function copies the value in member ann_custom.

Parameters

  _ann_custom | New value to be copied in member ann_custom

## ◆ ann_custom() [4/4]

eProsima_user_DllExport void ann_custom | ( | eprosima::fastcdr::optional< AppliedAnnotationSeq > && | _ann_custom | ) |

inline

This function moves the value in member ann_custom.

Parameters

  _ann_custom | New value to be moved in member ann_custom

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const CompleteTypeDetail & | x | ) | const

inline

Comparison operator.

Parameters

  x | CompleteTypeDetail object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport CompleteTypeDetail & operator= | ( | CompleteTypeDetail && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object CompleteTypeDetail that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport CompleteTypeDetail & operator= | ( | const CompleteTypeDetail & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object CompleteTypeDetail that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const CompleteTypeDetail & | x | ) | const

inline

Comparison operator.

Parameters

  x | CompleteTypeDetail object to compare.

## ◆ type_name() [1/4]

eProsima_user_DllExport QualifiedTypeName & type_name | ( |  | ) |

inline

This function returns a reference to member type_name.

Returns
  Reference to member type_name

## ◆ type_name() [2/4]

eProsima_user_DllExport const QualifiedTypeName & type_name | ( |  | ) | const

inline

This function returns a constant reference to member type_name.

Returns
  Constant reference to member type_name

## ◆ type_name() [3/4]

eProsima_user_DllExport void type_name | ( | const QualifiedTypeName & | _type_name | ) |

inline

This function copies the value in member type_name.

Parameters

  _type_name | New value to be copied in member type_name

## ◆ type_name() [4/4]

eProsima_user_DllExport void type_name | ( | QualifiedTypeName && | _type_name | ) |

inline

This function moves the value in member type_name.

Parameters

  _type_name | New value to be moved in member type_name

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp